# PCLinuxOS Copyright Bill Reynolds (Texstar)
#
%define		realname	Ogg-Vorbis-Header
Summary:	%realname module for perl
Summary(de):	%realname Modul für Perl
Name:		perl-%realname
Version:		0.03
Release:	%mkrel 11
License:		GPL
Group: 		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/D/DB/DBP/%realname-%version.tar.gz
URL:		http://search.cpan.org/~dbp/%realname-%version/
BuildRoot:	%{_tmppath}/%{realname}-%{version}-%{release}-root/
BuildArch:	noarch
Packager:	leiche
Distribution:	PCLinuxOS

# Don't build debuginfo packages
%define debug_package %{nil}

BuildRequires:	perl-Inline
BuildRequires:	perl-devel
BuildRequires:	%{_lib}ogg-devel
BuildRequires:	%{_lib}vorbis0-devel
BuildRequires:	libbsd-devel

Requires:	%{_lib}ogg0
Requires:	%{_lib}vorbis0
Requires:       perl-Inline

%description
This module presents an object-oriented interface to Ogg Vorbis files
which allows user to view Vorbis info and comments and to modify or
add comments.
#german
%description -l de
Perl-Modul bietet eine Schnittstelle zu OGG-Vorbis Dateien zum anschauen
und bearbeiten von Vorbis Informationen und Kommentare. 

%files
%defattr(-,root,root)
%{perl_vendorlib}/*-linux-thread-multi/Ogg/Vorbis/*
%{perl_vendorlib}/*-linux-thread-multi/auto/Ogg/Vorbis/Header/*
%exclude %{_mandir}/*/*

#--------- build area -----------------------------------------
%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{realname}-%{version}

#------- changelog -------------------------------------------

%changelog
* Tue May 22 2012 Neal <nealbrks0 at gmail dot com> 0.03-11pclos2012
- process

* Mon May 21 2012 leiche <meisssw01 at gmail.com> 0.03-11pclos2012
- rebuild for 64 bit
- add german description
- convert archive to xz

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

